package com.example.proyecto;

import java.util.Vector;

import android.app.Activity;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.view.animation.Animation;
import android.view.animation.AnimationUtils;
import android.widget.BaseAdapter;
import android.widget.TableRow;
import android.widget.TextView;

public class MiAdaptadorClasificacion extends BaseAdapter {
    private final Activity actividad;
    private final Vector<String> lista;

    public MiAdaptadorClasificacion(Activity actividad, Vector<String> lista) {
          super();
          this.actividad = actividad;
          this.lista = lista;
          
    }

    public View getView(int position, View convertView, ViewGroup parent) {
          LayoutInflater inflater = actividad.getLayoutInflater();
          View view = inflater.inflate(R.layout.elemento_clasificado, null,true);
          Animation aelem = AnimationUtils.loadAnimation(parent.getContext(), R.anim.tween);
          TextView textView =(TextView)view.findViewById(R.id.pos);
          TextView textView2 = (TextView)view.findViewById(R.id.equipo);
          TextView textView3 = (TextView)view.findViewById(R.id.puntos);
          TextView textView4 = (TextView)view.findViewById(R.id.pjug);
          TextView textView5 = (TextView)view.findViewById(R.id.dif);
          TableRow tb = (TableRow) view.findViewById(R.id.fila);
          String part[] = lista.elementAt(position).split("-");
          textView.setText(part[0].replace("\"", "").trim()+"");
          textView2.setText(part[2].replace("\"", "").toUpperCase().trim());
          textView3.setText(part[3].replace("\"", "").trim());
          textView4.setText(part[4].replace("\"", "").trim());
          textView5.setText(part[8].replace("\"", "")+":"+part[9].replace("\"", "").trim());
          
          if(part[2].replace("\"", "").contains("Benirredra"))
        	  tb.setBackgroundResource(R.drawable.degradado_clas);
          view.setAnimation(aelem);
          return view;
    }

    public int getCount() {
          return lista.size();
    }

    public Object getItem(int arg0) {
          return lista.elementAt(arg0);
    }

    public long getItemId(int position) {
          return position;
    }
}