package com.example.proyecto;

import java.util.Vector;

import android.app.Activity;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.view.animation.Animation;
import android.view.animation.AnimationUtils;
import android.widget.BaseAdapter;
import android.widget.ImageView;
import android.widget.TableLayout;
import android.widget.TableRow;
import android.widget.TextView;

public class MiAdaptadorGoleadores extends BaseAdapter {
    private final Activity actividad;
    private final Vector<String> lista;

    public MiAdaptadorGoleadores(Activity actividad, Vector<String> lista) {
          super();
          this.actividad = actividad;
          this.lista = lista;
          
    }

    public View getView(int position, View convertView, ViewGroup parent) {
          LayoutInflater inflater = actividad.getLayoutInflater();
          View view = inflater.inflate(R.layout.elemento_goles, null,true);
          Animation aelem = AnimationUtils.loadAnimation(parent.getContext(), R.anim.tween);
          Animation anbalon = AnimationUtils.loadAnimation(parent.getContext(), R.anim.rotar);
          TextView textView =(TextView)view.findViewById(R.id.nombre);
          TextView textView2 = (TextView)view.findViewById(R.id.equipo);
          TextView textView3 = (TextView)view.findViewById(R.id.goles);
          TableLayout tb = (TableLayout) view.findViewById(R.id.goleador);
          ImageView balon = (ImageView) view.findViewById(R.id.imageView1);
          String part[] = lista.elementAt(position).split("-");
          String part1[] = part[0].toUpperCase().split("_");
          String n[] = part1[0].split(" ");
          textView.setText(n[2]+" "+n[0]);
          textView2.setText(part[1]);
          textView3.setText(part1[1]);
          if(part[1].contains("BENIRREDRA"))
        	  tb.setBackgroundResource(R.drawable.degradado_clas);
          view.setAnimation(aelem);
          balon.startAnimation(anbalon);
          return view;
    }

    public int getCount() {
          return lista.size();
    }

    public Object getItem(int arg0) {
          return lista.elementAt(arg0);
    }

    public long getItemId(int position) {
          return position;
    }
}