package com.example.proyecto;

import java.io.IOException;
import java.net.HttpURLConnection;
import java.net.URL;
import java.util.Vector;

import android.app.Activity;
import android.graphics.Bitmap;
import android.graphics.BitmapFactory;
import android.graphics.Rect;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.view.animation.Animation;
import android.view.animation.AnimationUtils;
import android.widget.BaseAdapter;
import android.widget.ImageView;
import android.widget.TableLayout;
import android.widget.TextView;

public class MiAdaptadorResultados extends BaseAdapter {
    private final Activity actividad;
    private final Vector<String> lista;

    public MiAdaptadorResultados(Activity actividad, Vector<String> lista) {
          super();
          this.actividad = actividad;
          this.lista = lista;
          
    }

    public View getView(int position, View convertView, ViewGroup parent) {
          LayoutInflater inflater = actividad.getLayoutInflater();
          View view = inflater.inflate(R.layout.elemento_resultado, null,true);
          
          Animation aelem = AnimationUtils.loadAnimation(parent.getContext(), R.anim.tween);
          
          TextView local =(TextView)view.findViewById(R.id.equipo1);
          TextView visitante = (TextView)view.findViewById(R.id.equipo2);
          TextView resvis = (TextView)view.findViewById(R.id.gvisitante);
          TextView resloc = (TextView)view.findViewById(R.id.glocal);
          TableLayout tb = (TableLayout) view.findViewById(R.id.result);
          
          TextView fecha = (TextView)view.findViewById(R.id.fecha);
          TextView hor = (TextView)view.findViewById(R.id.hora);
          
          String part[] = lista.elementAt(position).split("-");
          
          String part1[] = part[0].split("_");
          String part2[] = part[1].split("_");
          String part3[] = part[2].split("_");

          String hora []= part3[1].split(" ");
          
          //EQUIPO LOCAL
          local.setText(part1[0].toUpperCase());
          resloc.setText(part1[1]);
          //EQUIPO VISITANTE
          visitante.setText(part2[0].toUpperCase());
          resvis.setText(part2[1]);
          //FECHA Y HORA
          fecha.setText(part3[0]);
          if(!hora[1].trim().equals(""))
        	  hor.setText(hora[1]+" H");
          else
        	  hor.setText("");
          
          
          
          //el.setImageDrawable("http://www.ffcv.es/nuevas_competiciones/vFenix/");
          if(part1[0].toUpperCase().contains("BENIRREDRA")||part2[0].toUpperCase().contains("BENIRREDRA"))
        	  tb.setBackgroundResource(R.drawable.degradado_clas);
          
          view.setAnimation(aelem);
          return view;
    }

    public int getCount() {
          return lista.size();
    }

    public Object getItem(int arg0) {
          return lista.elementAt(arg0);
    }

    public long getItemId(int position) {
          return position;
    }
}